### Method

# Gtk PrintDialog set_print_settings

since: 4.14

#### Declaration [src]

    void
    gtk_print_dialog_set_print_settings (
      GtkPrintDialog* self,
      GtkPrintSettings* print_settings
    )

#### Description [src]

Sets the print settings for the print dialog.

Available since: 4.14

Sets property | `Gtk.PrintDialog:print-settings`

#### Parameters

`print_settings`

  Type: `GtkPrintSettings`

  The new print settings.

  The data is owned by the caller of the method.